Bug 147085 - dead code detected
dead code detected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 05:10 EST by David Binderman
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 15:12:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-04 05:10:09 EST
Description of problem:

I just tried to compile package kudzu-1.1.107-1 from 
Redhat Fedora development tree.

The compiler said

pci.c(134): remark #177: function "vendCmp" was declared but never
referenced

I've had a look at the source code, and I agree with the compiler.
Suggest delete dead code.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2005-02-04 15:12:07 EST
You know, if it's a dead static function, the compiler should just
remove it anyway (if it doesn't already.)

Removed in CVS, will show up in new builds eventually.
Comment 2 David Binderman 2005-02-05 04:44:12 EST
>the compiler should just remove it anyway

Last time I checked, a couple of months back, gcc doesn't
remove dead static functions. Hence the bug report.

You might want to raise a bug report on gcc, but that's
usually a waste of time anyway ;->

Note You need to log in before you can comment on or make changes to this bug.